#/bin/sh/

if [ $# -lt 2 ]; then echo "get565pixel.sh port file overhead_frame_num(option) width(option) height(option) event_type(option)"; exit; fi
echo "port: "$1
echo "file: "$2

overhead=0
if [ $# -ge 3 ]; then overhead=$3; fi
echo "overhead: "$overhead

width=1080
height=1920
if [ $# -ge 4 ]; then width=$4; fi
if [ $# -ge 5 ]; then height=$5; fi
echo "width: "$width;
echo "height: "$height;

event_type=0
if [ $# -ge 6 ]; then event_type=$6; fi
echo "event_type: "$event_type;

cd /data/local/tmp/

echo "Phase 1"
pw=`./getdisplaycoordinate $width $height 1100`; ph=`./getdisplaycoordinate $width $height 897`; pr=`./getdisplaycoordinate $width $height 90`;
while [ 1 ]; do rgb=`screencap | ./get565pixel $pw $ph $pr`; if [ "$rgb" = "1D1D1D" ]; then break; fi; done

echo "Phase 2"
pw=`./getdisplaycoordinate $width $height 961`; ph=`./getdisplaycoordinate $width $height 294`; pr=`./getdisplaycoordinate $width $height 90`;
while [ 1 ]; do rgb=`screencap | ./get565pixel $pw $ph $pr`; depth=`./getrgbaverage $rgb`; if [ $depth -gt 253 ]; then break; fi; done

echo "Phase 3"
pw=`./getdisplaycoordinate $width $height 961`; ph=`./getdisplaycoordinate $width $height 294`; pr=`./getdisplaycoordinate $width $height 90`;
while [ 1 ]; do time=`./unixtime`; rgb=`screencap | ./get565pixel $pw $ph $pr`; depth=`./getrgbaverage $rgb`; if [ $depth -lt 253 ]; then break; fi; done

echo "Phase 4"
echo "depth: "$depth
frame=`./getframefordepth $depth`
echo "frame: "$frame

if [[ $event_type -eq 1 ]]
then
	echo "Phase 5"
	pw=`./getdisplaycoordinate $width $height 961`; ph=`./getdisplaycoordinate $width $height 294`; pr=`./getdisplaycoordinate $width $height 90`;
	while [ 1 ]; do rgb=`screencap | ./get565pixel $pw $ph $pr`; depth=`./getrgbaverage $rgb`; if [ $depth -gt 253 ]; then break; fi; done

	echo "Phase 6"
	pw=`./getdisplaycoordinate $width $height 961`; ph=`./getdisplaycoordinate $width $height 294`; pr=`./getdisplaycoordinate $width $height 90`;
	while [ 1 ]; do time=`./unixtime`; rgb=`screencap | ./get565pixel $pw $ph $pr`; depth=`./getrgbaverage $rgb`; if [ $depth -lt 253 ]; then break; fi; done

	echo "Phase 7"
	echo "depth: "$depth
	frame=`./getframefordepth $depth`
	echo "frame: "$frame
fi

past=`./unixtime interval $time`;
echo "past: "$past

wait=$(((($frame - $overhead) * 1000000 / 60) - $past))
echo "wait: "$wait
if [ $wait -gt 0 ]; then ./usleep $wait; fi

echo "Good Luck!!"
./sendevents $1 < $2
echo "Good Job!!"
